GLSA-200809-03 : RealPlayer: Buffer overflow

This script is Copyright (C) 2008-2014 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-200809-03
(RealPlayer: Buffer overflow)

Dyon Balding of Secunia Research reported an unspecified heap-based
buffer overflow in the Shockwave Flash (SWF) frame handling.

Impact :

By enticing a user to open a specially crafted SWF (Shockwave Flash)
file, a remote attacker could be able to execute arbitrary code with
the privileges of the user running the application.

Workaround :

There is no known workaround at this time.

See also :

http://www.gentoo.org/security/en/glsa/glsa-200809-03.xml

Solution :

All RealPlayer users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=media-video/realplayer-11.0.0.4028-r1'

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: Gentoo Local Security Checks

Nessus Plugin ID: 34092 (gentoo_GLSA-200809-03.nasl)

Bugtraq ID:

CVE ID: CVE-2007-5400